For AI agents: the documentation index is at /llms.txt, and this page is available as Markdown at /api/institutional/get-market-data-cefi.md.

Get markets

GET
/v1/cefi/market/quote

Query for the exchange best bid/offer (EBBO) by instrument ID. If no query parameters are supplied then ALL available EBBOs will be returned.

Query Parameters

instrument_id?string

Instrument ID of the market to query for. Must be a valid non-zero numeric ID.

Match^[1-9][0-9]*$
Length1 <= length

Response Body

Successful operation.

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.truex.co/v1/cefi/market/quote'
Example Response
[  {    "id": "78901949723181070",    "symbol": "BTC-PYUSD",    "info": {      "last_trade": {        "price": "110868",        "qty": "0.00901",        "timestamp": "1752156263825281640"      },      "best_bid": {        "price": "110865.50",        "qty": "0.00018",        "order_count": "10"      },      "best_ask": {        "price": "110865.50",        "qty": "0.00018",        "order_count": "10"      },      "last_update": "1752156513225654386"    }  }]